![Saleor Apps](https://user-images.githubusercontent.com/44495184/208925145-78c5022c-1a6c-4f2c-8f4f-7500e7afcaf0.png)

<div align="center">
  <h1>Saleor Apps</h1>
</div>

<div align="center">
  <p>The central space for Saleor Apps, Integrations and Marketplace.
</div>

<div align="center">
  <a href="https://saleor.io/">🏠 Website</a>
  <span> • </span>
  <a href="https://docs.saleor.io/docs/3.x/developer/extending/apps/key-concepts">📚 Docs</a>
  <span> • </span>
  <a href="https://saleor.io/blog/">📰 Blog</a>
  <span> • </span>
  <a href="https://twitter.com/getsaleor">🐦 Twitter</a>
</div>

<br />

<div align="center">
  <a href="https://docs.saleor.io/docs/3.x/developer/extending/apps/quickstart/getting-started">Build an app ▶️</a>
</div>

## Overview

This repository serves as a starting point in the exploration of Saleor apps.

> _Saleor apps are separate applications that use GraphQL to talk to the Saleor server and receive webhooks with event notifications from Saleor._
> 
> [docs.saleor.io](https://docs.saleor.io/docs/3.x/developer/extending/apps/key-concepts)

From here, you can visit:

- [🔍 Apps documentation](https://docs.saleor.io/docs/3.x/developer/extending/apps/key-concepts) - to learn more about how you can use apps to extend the capabilities of Saleor.
- [🆕 Quickstart Tutorial](https://docs.saleor.io/docs/3.x/developer/extending/apps/quickstart/getting-started) - to build your first app using [Saleor CLI](https://docs.saleor.io/docs/3.x/cli).
- [🗓️ Roadmap](https://github.com/orgs/saleor/projects/22/views/1) - to see the current progress on the development of official Saleor apps.
- [✍️ GitHub issues](https://github.com/saleor/apps/discussions/categories/integrations-features) - to submit a proposal for creating a new integration or an app.

## Apps

🚧 We are in the process of migrating the apps to this monorepo. 🚧 

In the meantime, you can access the rest of the apps from their repositories below:

| App                                          | Integrations       | Manifest URL to install                 |
|----------------------------------------------|--------------------|-----------------------------------------|
| [Search Hub](https://github.com/saleor/saleor-app-search)  | Algolia            | https://search.saleor.app/api/manifest  |
| [CMS Hub](https://github.com/saleor/saleor-app-cms-hub) | Contentful, Strapi | https://cms-hub.saleor.app/api/manifest |
| [Klaviyo](https://github.com/saleor/saleor-app-klaviyo) | Klaviyo            | https://klaviyo.saleor.app/api/manifest |
| [Slack](https://github.com/saleor/saleor-app-slack)   | Slack              | https://slack.saleor.app/api/manifest   |
| [Mailing Hub](https://github.com/saleor/saleor-app-mailing) |                    |                                         |
| [Invoices](https://github.com/saleor/saleor-app-invoices) |                    | https://invoices.saleor.app/api/manifest |
